Subject: gitk: clicking a branch line doesn't stop patch generator

From: Johannes Sixt <[email-masked]>
Date: Thu, 24 May 2007 11:39:43 +0200

Hi!

When a commit is highlighted, git-show or equivalent is spawned to fill
the patch window. When a different commit is highlighted, appearently if
git-show is still running, it is killed and a new one is started.

However, if a branch line is clicked, a running git-show is not killed,
hence its output is appended below the "Parent" and "Child" sections.

To reproduce, fire up gitk without arguments on git.git. Go all the way
down to the initial commit and select "Diff this->selected" from the
context menu, then quickly click on a line between two commits.

Unless your machine is blazingly fast, you will see that patch text is
appended below the "Child" section. Try with linux-2.6.git if git.git is
too small a project.

-- Hannes